<?php
/**
 * @file
 * Create content hook and functions for the forum.module.
 */


/**
 * Implementation of hook_create_content() on behalf of the forum.module.
 */
function forum_create_content() {
  $context = array();

  $path = create_content_get_path();

  if (strpos($path, 'forum') === 0) {

    $context['forum'] = array(
      'allowed_types' => array('forum' => 'forum'),
    );

    if ($tid = arg(1)) {
      $vid = db_result(db_query("SELECT vid FROM {term_data} WHERE tid=%d", $tid));
      $context['forum']['query'] = 'edit[taxonomy]['. $vid .']='. $tid;
    }
  }

  return $context;
}
